unit CComplete;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Setup;

type
  TCohrenCompleteForm = class(TForm)
    GBResults: TGroupBox;
    Label1: TLabel;
    ESqrtDV: TEdit;
    Label2: TLabel;
    ECH_R: TEdit;
    Label3: TLabel;
    ECH_T: TEdit;
    Label4: TLabel;
    EResult: TEdit;
    CBShowAlways: TCheckBox;
    CBActivateReport: TCheckBox;
    OkButton: TButton;
    procedure FormShow(Sender: TObject);
    procedure FormHide(Sender: TObject);
  end;

var
  CohrenCompleteForm: TCohrenCompleteForm;

implementation

uses MainUnit, Plan;

{$R *.DFM}

procedure TCohrenCompleteForm.FormShow(Sender: TObject);
begin
  CBShowAlways.Checked:=AppSetup.GeneralFlags.CohrenResultsShow;
  CBActivateReport.Checked:=AppSetup.GeneralFlags.CohrenActivateReport;
end;

procedure TCohrenCompleteForm.FormHide(Sender: TObject);
begin
  AppSetup.GeneralFlags.CohrenResultsShow:=CBShowAlways.Checked;
  AppSetup.GeneralFlags.CohrenActivateReport:=CBActivateReport.Checked;
end;

end.
